#ifndef GRAPHICS_MENU_H
#define GRAPHICS_MENU_H

/*
**  menu.h
**
**  (C) Copyright 2004 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** Menu flags.
*/

#define MNF_SHOWIMAGES      0x00000001  /* Allow for an image column on the left */
#define MNF_SHOWKEYS        0x00000002  /* Print key controls on the right */
#define MNF_EXTCOLUMN       0x00000004  /* Allow for an extension indicator column on the right */
#define MNF_POPUP           0x00000008  /* Locks the position of the menu to the mouse pointer */
#define MNF_FADEIN          0x00000010  /* Menu fades in to the display when shown */
#define MNF_FADEOUT         0x00000020  /* Menu fades out of the display when hidden */
#define MNF_NOHIDE          0x00000040  /* Activate() is prevented from hiding the menu */
#define MNF_SORT            0x00000080  /* Sort all items by name */
#define MNF_IGNOREFOCUS     0x00000100  /* Do not do anything when the focus is lost */
#define MNF_HIGHLIGHTBORDER 0x80000000  /* Draw a border around item highlights */

#endif /* GRAPHICS_MENU_H */
